---
title: Job Search
weight: 0
excerpt: the hunt for a webdev position
seo:
    title: ''
    description: ''
    robots: []
    extra: []
    type: stackbit_page_meta
template: docs
---


# Job Boards and The Hunt

I can't imagine the kind of masochism it would take to enjoy the act of posting and daily maintenance on a job board…It's part of the…

---

### Job Boards and The Hunt

#### I can't imagine the kind of masochism it would take to enjoy the act of posting and daily maintenance on a job board…It's part of the process that you've already invested so much of yourself in, so you should take pride in it; do a good job the first time around and you'll get where your going in the blink of an eye!

<a href="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b">
<strong>A list of all of my articles to link to future posts</strong>
<br />
<em>You should probably skip this one… seriously it's just for internal use!</em>bryanguner.medium.com</a>
<a href="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b" class="js-mixtapeImage mixtapeImage mixtapeImage--empty u-ignoreBlock">
</a>

---

### Update(After The Interview):

As a candidate, there are key next steps that you can and should after every interview to help you stand out.

**Send a thank you email within 24 business hours**

**Do not miss this step!** It takes less than five minutes and can make the difference between you and another candidate. It also keeps you fresh in your interviewers' memories. For example:

‍

_Hi (name),_

> _Thank you so much for taking the time to meet with me yesterday to discuss my candidacy for (role title). After learning more about (share one or two takeaways from the interview about the company/team's priorities), I'm even more excited to bring my skills in (1-3 relevant skills) to the team._

> _I look forward to hearing from you about next steps, and if there is anything that I can clarify about my experience or qualifications for the (role title) position, please don't hesitate to reach out._

> _Thank you for your consideration,_

> _(your name)_

**Follow up**

Don't wait for the company to reach out to you! Be proactive in showing your interest by checking in to see where you stand in the process. If a company indicates a deadline by which you will hear back, and the deadline has passed, follow-up!

**Check your email and phone regularly  
‍\***  
\*Don't ghost on a company at any stage in the process; make sure you add their domain to your safe senders list and respond to any messages within 24 hours.

‍

**Be prepared  
‍\***  
\*You might be invited for another interview on short notice; review the description regularly so it doesn't slip from your memory, and keep brushing up on skills you may need for an interview (chances are, this won't be the only job you'll need them for anyway!)

<figure>
<img src="https://cdn-images-1.medium.com/max/800/0*H4pwwuDEjkYTWKpJ.gif" class="graf-image" />
</figure>

---

> Here I will maintain a running list of applicable job boards and below I will go into detail about the niches they occupy and whatever I resource I have found to use them to your maximum advantage. !

### Update (remote work edition):

1.  <span id="3063">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#arc" class="markup--anchor markup--li-anchor">Arc</a>
</span>
2.  <span id="7639">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#we-work-remotely" class="markup--anchor markup--li-anchor">We Work Remotely</a>
</span>
3.  <span id="e21f">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#skip-the-drive" class="markup--anchor markup--li-anchor">Skip The Drive</a>
</span>
4.  <span id="e1df">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#power-to-fly" class="markup--anchor markup--li-anchor">Power to Fly</a>
</span>
5.  <span id="ecb8">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#remote-ok" class="markup--anchor markup--li-anchor">Remote OK</a>
</span>
6.  <span id="c08c">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#remotive" class="markup--anchor markup--li-anchor">Remotive</a>
</span>
7.  <span id="b4f2">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#flexjobs" class="markup--anchor markup--li-anchor">FlexJobs</a>
</span>
8.  <span id="e670">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#dribble" class="markup--anchor markup--li-anchor">Dribble</a>
</span>
9.  <span id="3b01">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#angellist" class="markup--anchor markup--li-anchor">AngelList</a>
</span>
10. <span id="4e54">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#remote-co" class="markup--anchor markup--li-anchor">Remote.co</a>
</span>
11. <span id="043a">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#justremote" class="markup--anchor markup--li-anchor">JustRemote</a>
</span>
12. <span id="7190">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#virtual-vocations" class="markup--anchor markup--li-anchor">Virtual Vocations</a>
</span>
13. <span id="8128">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#pangian" class="markup--anchor markup--li-anchor">Pangian</a>
</span>
14. <span id="f142">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#working-nomads" class="markup--anchor markup--li-anchor">Working Nomads</a>
</span>
15. <span id="6d89">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#jobspresso" class="markup--anchor markup--li-anchor">Jobspresso</a>
</span>
16. <span id="8732">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#outsourcely" class="markup--anchor markup--li-anchor">Outsourcely</a>
</span>
17. <span id="4f25">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#landing-jobs" class="markup--anchor markup--li-anchor">Landing.Jobs</a>
</span>
18. <span id="f994">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#authentic-jobs" class="markup--anchor markup--li-anchor">Authentic Jobs</a>
</span>
19. <span id="4b77">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#stack-overflow" class="markup--anchor markup--li-anchor">Stack Overflow</a>
</span>
20. <span id="bb76">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#gun-io" class="markup--anchor markup--li-anchor">Gun.io</a>
</span>
21. <span id="114e">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#idealist" class="markup--anchor markup--li-anchor">Idealist</a>
</span>
22. <span id="5da2">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#fiverr" class="markup--anchor markup--li-anchor">Fiverr</a>
</span>
23. <span id="fa5e">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#upwork" class="markup--anchor markup--li-anchor">Upwork</a>
</span>
24. <span id="f209">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#freelancer" class="markup--anchor markup--li-anchor">Freelancer</a>
</span>
25. <span id="5ec4">
<a href="https://www.freecodecamp.org/news/how-to-find-remote-jobs/#freelancermap" class="markup--anchor markup--li-anchor">freelancermap</a>
</span>

---

### List:

#### General Boards

- <span id="a076">
<a href="https://builtin.com/jobs" class="markup--anchor markup--li-anchor">Built In</a>
</span>
- <span id="c522">
<a href="https://stackoverflow.com/jobs" class="markup--anchor markup--li-anchor">Stack Overflow</a>
</span>
- <span id="8235">
<a href="http://angel.co/jobs" class="markup--anchor markup--li-anchor">angel.co</a>
</span>
- <span id="ae9e">
<a href="https://www.theladders.com/jobs/search-jobs" class="markup--anchor markup--li-anchor">The Ladders</a>
</span>
- <span id="aceb">
<a href="http://www.crunchboard.com/jobs" class="markup--anchor markup--li-anchor">CrunchBoard</a>
</span>
- <span id="7e5f">
<a href="https://uncubed.com/" class="markup--anchor markup--li-anchor">Uncubed</a>
</span>
- <span id="8678">
<a href="https://technical.ly/jobs/" class="markup--anchor markup--li-anchor">Technical.ly</a>
</span>
- <span id="c7fe">
<a href="https://www.dice.com/" class="markup--anchor markup--li-anchor">Dice</a>
</span>
- <span id="23f7">
<a href="https://www.techcareers.com/" class="markup--anchor markup--li-anchor">Tech Careers</a>
</span>
- <span id="20cf">
<a href="http://jobs.mashable.com/jobs/search/results" class="markup--anchor markup--li-anchor">Mashable</a>
</span>

#### Remote or Relocation Boards:

- <span id="1e47">
<a href="https://weworkremotely.com/" class="markup--anchor markup--li-anchor">We Work Remotely</a>
</span>
- <span id="37d2">
<a href="https://relocate.me/" class="markup--anchor markup--li-anchor">Relocate</a>
<a href="https://workfromhomejobs.me/" class="markup--anchor markup--li-anchor">‍</a>
</span>
- <span id="aad7">
<a href="https://workfromhomejobs.me/" class="markup--anchor markup--li-anchor">Work From Home Jobs</a>
</span>
- <span id="d1fc">
<a href="https://docs.google.com/spreadsheets/d/16V7hG7l24hBAnlcmaSG3mrusDx1uj_ZsLwnTu7L_wsQ/edit?usp=sharing" class="markup--anchor markup--li-anchor">Remote Boards &amp; Companies Spreadsheet</a>
</span>
- <span id="5267">
<a href="https://careervault.io/" class="markup--anchor markup--li-anchor">Career Vault</a>
</span>

#### DS Boards:

- <span id="a50a">
<a href="https://www.bigdatajobs.com/" class="markup--anchor markup--li-anchor">BigDataJobs</a>
</span>
- <span id="e7ce">
<a href="https://icrunchdata.com/data-science-jobs/" class="markup--anchor markup--li-anchor">Icrunchdata</a>
</span>
- <span id="d66f">
<a href="https://www.analyticsjobs.co.uk/" class="markup--anchor markup--li-anchor">Analyticsjobs.co.uk</a>
</span>

#### Design Boards

- <span id="0a09">
<a href="https://www.behance.net/joblist" class="markup--anchor markup--li-anchor">Behance</a>
</span>
- <span id="0174">
<a href="https://www.uxjobsboard.com/" class="markup--anchor markup--li-anchor">UX Jobs Board</a>
</span>
- <span id="ef44">
<a href="https://www.krop.com/creative-jobs/ux-ui-designer/" class="markup--anchor markup--li-anchor">Krop</a>
</span>

#### Software Development

- <span id="4702">
<a href="https://www.honeypot.io/pages/for_employers" class="markup--anchor markup--li-anchor">Honeypot.io</a>
</span>
- <span id="d025">
<a href="https://jobs.github.com/" class="markup--anchor markup--li-anchor">GitHub</a>
</span>
- <span id="ed46">
<a href="https://blabladev.eu/" class="markup--anchor markup--li-anchor">BlablaDev</a>
</span>
- <span id="c23f">
<a href="http://jobs.smashingmagazine.com/" class="markup--anchor markup--li-anchor">Smashing <strong>Magazine</strong>
</a>
</span>
- <span id="61fd">
<a href="http://jobs.arstechnica.com/" class="markup--anchor markup--li-anchor">arstechnica</a>
</span>
- <span id="c526">
<a href="http://jobs.37signals.com/" class="markup--anchor markup--li-anchor">obs.37signals</a>
</span>
- <span id="1ec6">
<a href="http://news.ycombinator.com/submitted?id=whoishiring" class="markup--anchor markup--li-anchor">ycombinator</a>
</span>
- <span id="fa87">
<a href="http://jobs.slashdot.org/jobboard.php" class="markup--anchor markup--li-anchor">jobs.slashdot.org</a>
</span>
- <span id="3dfc">
<a href="http://angel.co/talent" class="markup--anchor markup--li-anchor">http://angel.co/talent</a>
</span>
- <span id="319e">
<a href="https://www.whitetruffle.com/" class="markup--anchor markup--li-anchor">whitetruffle</a>
</span>
- <span id="428a">
<a href="http://www.crunchboard.com/jobs/" class="markup--anchor markup--li-anchor">crunchboard</a>
</span>

**I am intentionally not linking glassdoor because they have irritated me for the last time by insisting I provide a job review every time I want to access their content… (To the makers of glassdoor… HOW MANY TIMES A MONTH DO YOU THINK I CHANGE JOBS!!!!) I don't have 15 minutes to make up a job experience every time I want to read a review.**

---

> Also here is a repo of compiled job search and interviewing resources:

<a href="https://github.com/bgoonz/INTERVIEW-PREP-COMPLETE" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://github.com/bgoonz/INTERVIEW-PREP-COMPLETE">
<strong>bgoonz/INTERVIEW-PREP-COMPLETE</strong>
<br />
<em>Your resume is your personal summary sheet. Your resume is the thing that gets your foot in the door. So, there's a few…</em>github.com</a>
<a href="https://github.com/bgoonz/INTERVIEW-PREP-COMPLETE" class="js-mixtapeImage mixtapeImage u-ignoreBlock">
</a>

<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*3_3Cb73SQM_YazWGpZWtIw.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*aI1PfkSpsUks598LAJvKoQ.png" class="graf-image" />
</figure>

#### First off I am going to introduce a few different categories for those of you who are completely overwhelmed by the prospect of even selecting a job board let alone establishing a competitive presence on one. Here's a few catorizations I think are worth distinguishing for one and other.

### 1. Interpersonal Connections

Seek to leverage the connections you have with people you know and companies you want to work with. I know that that's a violation of the premise of this article but without even feeling the need to provide quantitative proof; I can confidently assume that this is the most <a href="https://www.investopedia.com/terms/r/returnoninvestment.asp" class="markup--anchor markup--p-anchor">RO</a>I efficient way to produce a desirable result. (Sorry introverts… 2020 may have been your year but this is our world. 😘)

**If personal connections don't come through, the next best thing is cold outreach (_best in terms of results…. personally I hate cold calling strangers and I am an extrovert_.)**

1.  <span id="2139">Before or after submitting an application, **identify 1-3 professionals to reach out to** at the company to express interest in opportunities.</span>
2.  <span id="fb8b">**Send a message to express interest and request an informational interview** with the individual via LinkedIn, email, Twitter, or other available communication methods.</span>
3.  <span id="840d">**If you hear back** and the individual is willing to connect, **confirm a day and time to conduct a preliminary interview.** _OR_ **If you have yet to hear back after 3 business days, follow-up.**</span>

Once you send off a message in step two, there are a variety of responses you may receive. Sometimes an individual will forward you along to someone who may be of better assistance, other times your message may be overlooked with no reply, and its possible (best case scenario) your request for a chat becomes an invitation to interview.

<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*3_3Cb73SQM_YazWGpZWtIw.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*aI1PfkSpsUks598LAJvKoQ.png" class="graf-image" />
</figure>

<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*5eObFD9fV2fe5DztitZfsA.png" class="graf-image" />
</figure>### ***2. LinkedIn***.

I am going to devote a lot of time to this one because it is the largest and most active of all the job board ecosystems… period… full stop regardless of your industry.

LinkedIn now has <a href="https://news.linkedin.com/about-us#Statistics" class="markup--anchor markup--p-anchor">almost 740 million members</a> with over 55 million registered companies. (for comparison 12.3 million people visited Indeed in October, up 19.6 percent. <a href="http://www.monster.com/" class="markup--anchor markup--p-anchor">Monster.com</a> attracted 12.1 million people, and <a href="http://www.careerbuilder.com/" class="markup--anchor markup--p-anchor">CareerBuilder.com</a>attractedd 11.3 million in that same time) and LinkedIn is the most-used social media platform amongst Fortune 500 companies as it provides far more networking capabilities than pure recruitment.

If you put your resume and skills on LinkedIn.com as a software Engineer, and state that you are open to new opportunities, you _will_ be contacted by multiple recruiters, and if your skills are desirable possibly also directly by companies seeking to hire you. It's a developer's market; there's not enough people out there, especially in America.

Here's my profile… feel free to connect… the larger your network the greater your exposure is to someone who works at your potential dream job.

<a href="https://www.linkedin.com/in/bryan-guner-046199128/" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://www.linkedin.com/in/bryan-guner-046199128/">
<strong>Bryan Guner - Web Developer - Freelance | LinkedIn</strong>
<br />
<em>View Bryan Guner's profile on LinkedIn, the world's largest professional community. Bryan has 5 jobs listed on their…</em>www.linkedin.com</a>
<a href="https://www.linkedin.com/in/bryan-guner-046199128/" class="js-mixtapeImage mixtapeImage u-ignoreBlock">
</a>

Here's A Linkedin Checklist I will be using before I return to the job hunt!

<a href="https://www.notion.so/LinkedIn-d8b35e25ff0c451dbb5506ffa1179a8d" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://www.notion.so/LinkedIn-d8b35e25ff0c451dbb5506ffa1179a8d">
<strong>LinkedIn</strong>
<br />
<em>Personal and Contact Information:</em>www.notion.so</a>
<a href="https://www.notion.so/LinkedIn-d8b35e25ff0c451dbb5506ffa1179a8d" class="js-mixtapeImage mixtapeImage mixtapeImage--empty u-ignoreBlock">
</a>

> excerpt:

#### Experience Section

- <span id="a517">\[ \] I **have** listed all professional roles included on my resume in this section and any that I had to cut from my resume for space</span>
- <span id="eca7">\[ \] I **have** written 2-4 power statements for each experience listed (okay to copy and paste from resume)</span>
- <span id="d298">\[ \] My power statements for each experience <a href="https://www.linkedin.com/pulse/update-how-add-bullet-points-your-linkedin-profile-erin-dore-miller/" class="markup--anchor markup--li-anchor">are bulleted</a>, not in paragraph form.</span>
- <span id="ec6c">\[ \] I **did** list responsibilities in bullet point format (I **did not** leave in paragraph format)</span>
- <span id="f472">\[ \] I **did** start each bullet point with <a href="https://docs.google.com/document/d/1wZkDPBWtQZDGGdvStD61iRx_jOWVlIyyQl9UOYHtZgA/edit?usp=sharing" class="markup--anchor markup--li-anchor">an action verb</a> and I **did not** use phrases such as: `Assisted with...` `Worked on...` `Helped with...` (`Solely responsible for...` ok)</span>
- <span id="9a26">\[ \] I **did** describe past projects in past tense and current projects in present tense</span>
- <span id="0f5a">\[ \] I **did not** use pronouns such as: "I," "we," "they, "you," "me," "us"</span>
- <span id="3616">\[ \] **Optional:** Bootcamp student experience and projects can be listed under your experience section if you have no (or almost no) prior work experience.</span>
- <span id="7fa1">\[ \] If I listed my Bootcamp student experience, my title is \[name of program\] Student (example: Data Science Student)</span>
- <span id="c928">\[ \] I copied and pasted my Lambda projects in my student description and also included them in the Accomplishments section</span>

### Do's:

**Spend a good portion of your time learning and reading. Your jobs teach you so much about an organization and the business.**

**Follow business owners and senior managers, successful team leaders in large organizations, startup owners. You would be surprised how willing some otherwise busy executives are to rub elbows with veritable newcomers. They're not just doing this out of the kindness of their hearts, just like you… they have an ulterior motive. They are hoping to build goodwill with the incoming workforce in a bid to make their company more attractive to high quality candidates. If they give you any of their time…treat it like an interview.**

> _To leverage this information, (the trick is to constantly remind yourself to be on your game with speaking with them.) I do not care what your teacher's past have said… mark my words…_ **\*THERE IS MOST CERTAINLY SUCH A THING AS A STUPID QUESTION\*\***…Anyone who tells you otherwise is either stupid themselves or just overcome with their own compassion (an admirable trait but ultimately a disservice to you the competitive job seeker).\*

<a href="https://hbr.org/2018/05/the-surprising-power-of-questions" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://hbr.org/2018/05/the-surprising-power-of-questions">
<strong>How to Ask Great Questions</strong>
<br />
<em>In Brief The Problem Some professionals such as litigators, journalists and even doctors, are taught to ask questions…</em>hbr.org</a>
<a href="https://hbr.org/2018/05/the-surprising-power-of-questions" class="js-mixtapeImage mixtapeImage u-ignoreBlock">
</a>

> Engage in networking. I would recommend **finding and connecting with current attendee of any software development bootcamp**. They're all (for the most part) programatically encouraged to connect network and engage in peer skill promotion (even if they have no idea of you skill level). If that weren't enough reason, all of them come from a cohort of other individuals being instructed to do the same. Once you have a few in your network other's will seek you out through Linkedin recommendations algorithm.

> **Note to prospective employers please just skip the next few sentences and don't ask why…😅**

> **Of the 214 people that vouched for me… I guestimate about only 80 actually know me in any respectable capacity, and of those, only probably 30 or so are familiar with my competency in the skills they endorsed. It all boils down to the strategies that bootcamps instill in their students. It's the polar opposite of a zero sum game and they're more than happy to exchange personal recommendations with you. They're also far more driven to consistently engage with other members of the linkedin ecosystem because they need to a network to help compensate for their lack of a four year degree and the connections you make in that time.**

<figure>
<img src="https://cdn-images-1.medium.com/max/400/1*E519LWHx8W3CXw6c5FXgqg.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/1000/1*AUDMmyZrugM3SSy_0axgfQ.jpeg" class="graf-image" />
</figure>

> Build your personal brand. Developing your brand will not only help you attract clients or recruits if you decide to start a business, but will also help you find great job opportunities. You can post anything you take pride in so long as it's fairly professional. Definitely make use of the featured section to showcase your work.

<figure>
<img src="https://cdn-images-1.medium.com/max/800/1*DlqWg94B670bgin5STdJNg.png" class="graf-image" />
</figure>### Don't:

#### Don't Use LinkedIn's Default Headline

LinkedIn automatically populates your headline with your current job title and company name. I hope it goes without saying… but as a rule avoid signaling to prospective employers the depths of your laziness by using any stock responses LinkedIn provides you.

#### Don't Go Ham On Keyword Placment

Placing keywords strategically into your LinkedIn profile is virtually the only way to ensure being flagged by search algorithms as a potential candidate.You could be forgiven for being tempted to heed the advice of your inner lizard brain, and just stuffing your profile with buzzwords but this will likely trigger a spam account checker and result in worse outcomes than the absence of said keywords.

<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*3_3Cb73SQM_YazWGpZWtIw.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*aI1PfkSpsUks598LAJvKoQ.png" class="graf-image" />
</figure>

---

### Why it matters*¿*

#### Are We Really All Connected by Just Six Degrees of Separation?

Most of us are familiar with the concept of six degrees of separation — the idea is that anyone in the planet can be connected to anyone else in just six steps. So through just five other people, you're effectively connected to the Queen of England, Jim Belushi or even yo mamma.

---

### Back to the other Job Board Niches:

**_3. Traditional job boards_**. Dice.com, Monster.com, etc. They will not find you great jobs at technology companies; they may find you openings as a software engineer at other types of more traditional companies (for example, banks, retail chains, etc though.

**_4. Local-focused sites_**. The biggest is Craigslist, but there are others. Often great for contract work and opportunities you wouldn't have otherwise come across.

**_5. Freelancer websites_**. oDesk.com, Elance.com, etc. Lower pay, but 100% contract work, and has a lot of flexible opportunities if you're not looking for traditional full-time employment or remote work.

- <span id="1350">
<a href="https://www.quora.com/What-are-the-best-job-boards-for-software-engineers" class="markup--anchor markup--li-anchor">Source</a>
</span>

<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*3_3Cb73SQM_YazWGpZWtIw.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/600/1*aI1PfkSpsUks598LAJvKoQ.png" class="graf-image" />
</figure>

### Lastly Here's A Github Profile Guide:

<figure>
<img src="https://cdn-images-1.medium.com/max/800/1*0nYkgla6oc0uImSZJElpdw.jpeg" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/800/1*wIhqnhU5zoyIr1GwZ2UTNA.jpeg" class="graf-image" />
</figure>Medium is causing strange formatting… they normally form a grid!

<figure>
<img src="https://cdn-images-1.medium.com/max/800/1*-ypWlmloBF6kz9UnVG2kOA.png" class="graf-image" />
</figure>
<figure>
<img src="https://cdn-images-1.medium.com/max/800/1*Y9SdKz9cS3FtjlKaRge3jg.png" class="graf-image" />
</figure>### Rubric:

<figure>
<img src="https://cdn-images-1.medium.com/max/1200/1*5-FYxWj0q8sUvpDoAR3ZLA.png" class="graf-image" />
</figure>

---

### Discover More:

<a href="https://stackbit-clone.netlify.app/" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://stackbit-clone.netlify.app/">
<strong>Web-Dev-Hub</strong>
<br />
<em>Memoization, Tabulation, and Sorting Algorithms by Example Why is looking at runtime not a reliable method of…</em>bgoonz-blog.netlify.app</a>
<a href="https://stackbit-clone.netlify.app/" class="js-mixtapeImage mixtapeImage u-ignoreBlock">
</a>

# **General**

- **[How To Break Into Tech - Job Hunting and Interviews by Haseeb Qureshi](https://haseebq.com/how-to-break-into-tech-job-hunting-and-interviews/)**
- **[Mintbean.io - Hackathons and Workshops](https://mintbean.io/)**
- **[Data on the job search and how to do it!](https://talent.works/category/science-of-the-job-search/)**
- **[LinkedIn Post Inspector](https://www.linkedin.com/post-inspector/inspect/)**
- **[LinkedIn Featured Images](https://medium.com/@jamesyhiggs/how-to-add-thumbnail-images-to-the-featured-section-of-your-linkedin-profile-for-web-apps-sites-917346235932)**
- **[Frontend Masters](https://frontendmasters.com/)** - Expensive, but worth every penny



<br>
<br>
<br>
<br>



# **Resume**

- **[Spelling/Grammar mistakes on Resume costs jobs](http://blog.alinelerner.com/lessons-from-a-years-worth-of-hiring-data/)**

# **Cover Letter**

- **[Six C's of Business Communication](http://www.fsb.miamioh.edu/fsb/content/programs/howe-writing-initiative/HWI-handout-CsofBusComm.html)**



<br>
<br>
<br>
<br>



# **Heroku** - _Use at your own risk_

- **[Keep Heroku App Awake For Free Using Google App Script](https://medium.com/@pandachain/keep-free-heroku-app-awake-during-a-specific-period-using-google-app-script-in-2017-63fe37ee9e9f)**
- **[UptimeRobot](https://uptimerobot.com/)**
- **[Kaffeine](https://kaffeine.herokuapp.com/)**
- **[UptimeRobot and Dyno Lecture](https://docs.google.com/document/d/1_BZswbvmcEtVul9gD59Lk4IUk2mHp1Wbe2ucaHTY7A0/edit)**



<br>
<br>
<br>
<br>



# **Trivia**

- ## **JavaScript Trivia**
    - **[Fullstack Cafe - EVERYTHING](https://www.fullstack.cafe/)**
    - **[Front-end trivia](https://www.thatjsdude.com/interview/)**
- ## **Python Trivia**
- ## **Frontend Trivia**
    - [**12 Essential Web Design Interview Questions**](https://www.toptal.com/designers/web/interview-questions)



<br>
<br>
<br>
<br>



# **Language Resources**

- ## **JavaScript Resources**
    - **[TypeScript Learning Plan](https://github.com/antonjb/TypeScript-Learning-Plan)**
    - **React Native**
        - **[Code With Mosh Enrolled](https://codewithmosh.com/courses/enrolled)**
            - *satagonia@gmail.com / qqqq1111*
- ## **Python Resources**
- -
- ## **HTML5 Resources**
    - [**HTML5 Cheat Sheet**](https://digital.com/tools/html-cheatsheet/)
    - [**HTML5 Rocks**](https://www.html5rocks.com/en/resources.html)
    - [**MDN - HTML**](https://developer.mozilla.org/en-US/docs/Web/HTML)
    - [**MDN - HTML5**](https://developer.mozilla.org/en-US/docs/Learn/HTML)
    - [**HTML5 Doctor**](http://html5doctor.com/)
    -
- ## **CSS3 Resources**

    - [**W3 Schools CSS3 Tutorial**](https://www.w3schools.com/css/)
    - [**Tutorial Republic - Ultimate Tutorial for Beginners**](https://www.tutorialrepublic.com/css-tutorial/)
    - [**MDN - CSS**](https://developer.mozilla.org/en-US/docs/Web/CSS)
    - [**CSS3.info**](https://www.css3.info/)
    - [**CSS Tricks**](https://css-tricks.com/)
        - [Complete Guide to Flexbox](https://css-tricks.com/snippets/css/a-guide-to-flexbox/)
        - [Complete Guide to Grid](https://css-tricks.com/snippets/css/complete-guide-grid/)
    - [**Interactive CSS Grid Generator**](https://grid.layoutit.com/)
    - [**CSS Zen Garden**](http://csszengarden.com/)
    - [**Flexbox Grid (Package)**](http://flexboxgrid.com/)
    - [**Specifishity**](http://www.specifishity.com/)
    - [**CSS3 Cheat Sheet**](https://www.onblastblog.com/css3-cheat-sheet/)
    - [**Jen Simmons Labs**](https://labs.jensimmons.com/)

- ## **Miscellaneous Resources**

    - [**CodePen**](https://codepen.io/)
        - [2020 Most Popular Pens (replace year for more)](https://codepen.io/202/popular/pens/)
    - [**Web Design Weekly**](https://web-design-weekly.com/)
    - [**Responsive Design Weekly**](https://responsivedesign.is/)



<br>
<br>
<br>
<br>



# **DS&A**

- **[Leetcode](https://leetcode.com/explore)**
- **[AlgoExpert](https://www.algoexpert.io/)**

## **Hash Tables:**

- **[What is a Hash Table](https://www.youtube.com/watch?v=shs0KM3wKv8)**
    - O(1) for a "good" table
    - O(n) for a terrible table (lots of collisions, etc.)



<br>
<br>
<br>
<br>



# **System Design**

- **[The Basics](https://www.educative.io/courses/grokking-the-system-design-interview/m2yDVZnQ8lG)**
- **[Caching](https://levelup.gitconnected.com/everything-you-need-to-know-about-caching-system-design-932a6bdf3334)**
- **[Load Balancing](https://codeburst.io/system-design-basics-load-balancer-101-adc4f602d08f)**



<br>
<br>
<br>
<br>



# **Interviewing**

- ### **Mock Interviewing**
    - **[Interviewing.io](https://interviewing.io/)**



<br>
<br>
<br>
<br>



# **Networking**

- **[MeetUp](https://www.meetup.com/)**



<br>
<br>
<br>
<br>



# **Managing and Organizing Job Search**

- **[Notion](notion.so)**
    - Trillo clone but with added features that make it really great! Consider creating a template for new job seekers!



<br>
<br>
<br>
<br>



# **Negotiations**

- **[Haseeb's 10 Rules - Part 1](https://haseebq.com/my-ten-rules-for-negotiating-a-job-offer/)**
- **[Haseeb's 10 Rules - Part 2](https://haseebq.com/how-not-to-bomb-your-offer-negotiation/)**



<br>
<br>
<br>
<br>



# **Portfolio Sites**

Take 25 minutes to choose a template, download it, rename it githubusername.github.io , git init, and push it to a github repo of the same name:

## **Template Sources**

- [**Free CSS Templates**](http://www.free-css.com/template-categories/portfolio)
- [**HTML5 UP**](http://html5up.net/)
- [**Start Bootstrap**](http://startbootstrap.com/)
- [**Theme Wagon**](https://themewagon.com/top-html-landing-page-templates/)
- [**Templatemo**](https://templatemo.com/tag/portfolio)
- [**One Page Love**](https://onepagelove.com/templates/free-templates)

1. Once you've decided on a template, download it to your machine.
2. Rename the folder `{$yourGitHubUserName}.github.io`, (e.g. if my GitHub
   username were QueenOfTheBeyhive, I would name my repo
   `QueenOfTheBeyhive.github.io`). This will be important for deployment to GitHub
   pages later.
3. Make sure to `git init` and set up your remote repository.
4. As always, make sure to read through any provided README for any potentially
   useful information.
5. Take some time to explore the structure, included elements, and default assets
   included in the template. Take special note of style sheets and the main HTML
   file. The main HTML must be called `index.html` and it must be located in the root
   of the directory. If the file is located elsewhere, relocate it to the root and adjust
   any relative paths for any imported scripts or style sheets.



<br>
<br>
<br>
<br>



# **QA Engineering**

- **[Full course in 7 day trial](https://teamtreehouse.com/library/introduction-to-qa-engineering)**
- **[Prep Notes](https://docs.google.com/document/d/1REtlnM0j88iGgIkPmOyeuwf-VdhOSV6U0QkcPEz81Oc/edit)**

# **Alternative Roles**

    Data Analyst
    Sales Engineer
    Technical Support Engineer
    Customer Success Engineer
    Data Engineer
    Dev Ops Engineer
    QA Engineer
    Solutions Engineer
    Support Engineer
    Technical Product Manager
    Scrum Master
    Implementation Specialist
    Technical Account Manager



<br>
<br>
<br>
<br>



# **Externship**

- **[insidesherpa](https://www.insidesherpa.com/)**



<br>
<br>
<br>
<br>



# **Open Source**

- **[GitHub's open source guides](https://opensource.guide/)**
- **[Getting started with open source](https://opensource.com/resources/getting-started-open-source)**
- **[First timers only](https://www.firsttimersonly.com/)**
- **[Open Source Underdogs](https://opensourceunderdogs.com/episodes/)**
- **[Code Triage](https://www.codetriage.com/)**



<br>
<br>
<br>
<br>



# **Volunteer**

- **[Code For America](https://www.codeforamerica.org/)**
- **[Donate Code](https://www.donatecode.com/)**
- **[Social Coder](https://socialcoder.org/Home/Index)**
- **[Catch A Fire](https://www.catchafire.org/)**
- **[Hackers For Charity](https://www.hackersforcharity.org/)**



<br>
<br>
<br>
<br>



# **Imposter Syndrome**

- **[The Imposter's Advantage - Zain Rizvi](https://www.zainrizvi.io/blog/the-impostors-advantage/)**
- **[Stats on the tech giants](https://www.techrepublic.com/article/why-58-of-tech-employees-suffer-from-imposter-syndrome/)**
- **[Why MS degrees are shit](http://blog.alinelerner.com/how-different-is-a-b-s-in-computer-science-from-a-m-s-in-computer-science-when-it-comes-to-recruiting/)**



<br>
<br>
<br>
<br>



# **Podcasts**

- **[FreeCodeCamp Podcast](https://freecodecamp.libsyn.com/)**
- **[Codish Podcast](https://www.heroku.com/podcasts/codeish/85-the-new-definition-of-frontend-development)**



<br>
<br>
<br>
<br>



# **Books**

- **Grokking the Coding Interview**
    - [GitHub Coding Questions](https://github.com/cl2333/Grokking-the-Coding-Interview-Patterns-for-Coding-Questions)
    - [Purchase Course](https://www.educative.io/courses/grokking-the-coding-interview)
- **Grokking the System Design Interview**
    - [Quizzes](https://github.com/ema2159/Grokking-System-Design-Interview-Quizzes)
    - [Purchase Course](https://www.educative.io/courses/grokking-the-system-design-interview)
- **Elements of Programming Interviews (EPI) in Python**
- - [Amazon](https://www.amazon.com/Elements-Programming-Interviews-Python-Insiders/dp/1537713949)
- **Skienna Algorithm Design Manual**
    - [Amazon](https://www.amazon.com/Algorithm-Design-Manual-Steven-Skiena-ebook-dp-B00B8139Z8/dp/B00B8139Z8/ref=mt_other?_encoding=UTF8&me=&qid=)



<br>
<br>
<br>
<br>



# **QA Questions**

**10:22:12 From Alexis Kozak to Everyone : Scenario 1**

- It's 7:00 pm on a Friday, and you receive a message from Dev Ops that they haven't been able to upgrade a live Production environment as planned. There were feature updates in this release that customers have planned marketing campaigns around. It also included a bug fix for one customer that's currently having to maintain a very manual workaround. What do you do?

**10:24:40 From Alexis Kozak to Everyone : Scenario 2**

- An application has been configured to send an email every time a patient requests a changed email. The automated email sends something to the old email, acknowledging that they changed their email, and if that isn't right, to please contact Secular Health Network. When you come into the office one morning, you see that thousands of emails have been generated in the space of two hours. What do you do? How do you find the number of emails sent?

**10:28:11 From Alexis Kozak to Everyone : Scenario 3**

- A customer has requested a change to SSO logic such that only users from a certain region can access SmartExam. You've implemented the rule on their demo environments and given them a testing plan that is simple and straightforward. During testing, you're included in multiple email chains with different parties, as well as some one-off calls and texts messages. Resources seem scattered, but the testing happens. After receiving confirmation from the customer that testing was successful, you're told the code is good to go into production. However, upon doing some quick checks, you discover that the rule you wrote doesn't work and would actually prevent any user from logging into SmartExam. The fix is quite simple. What do you do?
